diff --git a/src/plugins/include/eventfilter.h b/src/plugins/include/eventfilter.h
index c16908d..453542c 100644
--- a/src/plugins/include/eventfilter.h
+++ b/src/plugins/include/eventfilter.h
@@ -11,7 +11,15 @@ public:
 	// true = handled, don't pass to next handler
 
     virtual bool processEvent(int account, const QDomElement& e) = 0;
-	virtual bool processMessage(int account, const QString& fromJid, const QString& body, const QString& subject) = 0;
+
+	virtual bool processMessage(int account, const QString& fromJid,
+	                            QString& body, QString& subject) = 0;
+
+	virtual bool processMessage(int account, const QString& fromJid,
+	                            QDomElement& body, QString& subject) = 0;
+
+	virtual bool processOutgoingMessage(int account, const QString& toJid,
+	                                    QString& body, QString& subject) = 0;
 };
 
 Q_DECLARE_INTERFACE(EventFilter, "org.psi-im.EventFilter/0.1");
